import _isEmpty from 'lodash/isEmpty';

import React from 'react';
import styles from './styles.scss';

export default (function (_ref) {
  var color = _ref.color,
      label = _ref.label,
      checked = _ref.checked,
      _onChange = _ref.onChange,
      link = _ref.link;

  var text = label || 'I agree to the Privacy Policy';
  return React.createElement(
    'div',
    { className: styles.wrapper + ' boostcrm__pre_chat__checkbox', style: { color: color } },
    React.createElement('input', { type: 'checkbox', value: checked, onChange: function onChange() {
        return _onChange && _onChange(!checked);
      } }),
    React.createElement(
      'span',
      null,
      !_isEmpty(link) ? React.createElement(
        'a',
        { target: '_blank', href: link },
        text
      ) : text
    )
  );
});