import _regeneratorRuntime from 'babel-runtime/regenerator';
import _asyncToGenerator from 'babel-runtime/helpers/asyncToGenerator';

var _this = this;

var getInfo = function () {
  var _ref = _asyncToGenerator( /*#__PURE__*/_regeneratorRuntime.mark(function _callee() {
    var moment, browser, os, name, urlParams;
    return _regeneratorRuntime.wrap(function _callee$(_context) {
      while (1) {
        switch (_context.prev = _context.next) {
          case 0:
            _context.prev = 0;
            _context.next = 3;
            return import('moment-timezone');

          case 3:
            moment = _context.sent;
            browser = detect() || {};
            os = browser.os, name = browser.name;
            urlParams = new URLSearchParams(window.location.search);
            _context.t0 = browser;
            _context.next = 10;
            return getPublicIp();

          case 10:
            _context.t1 = _context.sent;
            _context.t2 = moment.tz.guess();
            _context.t3 = -(new Date().getTimezoneOffset() / 60);
            _context.t4 = urlParams.get('utm_source');
            _context.t5 = urlParams.get('utm_medium');
            _context.t6 = urlParams.get('utm_campaign');
            _context.t7 = urlParams.get('utm_term');
            _context.t8 = urlParams.get('utm_content');
            _context.t9 = name;
            _context.t10 = os;
            return _context.abrupt('return', {
              browser: _context.t0,
              ip: _context.t1,
              timezoneName: _context.t2,
              timezoneUTC: _context.t3,
              utmSource: _context.t4,
              utmMedium: _context.t5,
              utmCampaign: _context.t6,
              utmTerm: _context.t7,
              utmContent: _context.t8,
              utmGrowthToolId: 'CALL_LIVECHAT',
              utmBrowser: _context.t9,
              utmOS: _context.t10
            });

          case 23:
            _context.prev = 23;
            _context.t11 = _context['catch'](0);
            return _context.abrupt('return', {});

          case 26:
          case 'end':
            return _context.stop();
        }
      }
    }, _callee, this, [[0, 23]]);
  }));

  return function getInfo() {
    return _ref.apply(this, arguments);
  };
}();

import getPublicIp from './get-public-ip';
import wait from './wait';

var _require = require('detect-browser'),
    detect = _require.detect;

export default _asyncToGenerator( /*#__PURE__*/_regeneratorRuntime.mark(function _callee2() {
  return _regeneratorRuntime.wrap(function _callee2$(_context2) {
    while (1) {
      switch (_context2.prev = _context2.next) {
        case 0:
          _context2.next = 2;
          return Promise.race([getInfo(), wait(3000)]);

        case 2:
          _context2.t0 = _context2.sent;

          if (_context2.t0) {
            _context2.next = 5;
            break;
          }

          _context2.t0 = {};

        case 5:
          return _context2.abrupt('return', _context2.t0);

        case 6:
        case 'end':
          return _context2.stop();
      }
    }
  }, _callee2, _this);
}));