import _toLower from 'lodash/toLower';
import getFileMetaData from './get-file-meta-data';

var imageExentions = ['png', 'gif', 'jpg', 'jpeg'];

export default function isImageFile(file) {
  var _getFileMetaData = getFileMetaData(file),
      type = _getFileMetaData.type;

  if (!type) return false;
  var lowerCaseType = _toLower(type);
  for (var _iterator = imageExentions, _isArray = Array.isArray(_iterator), _i = 0, _iterator = _isArray ? _iterator : _iterator[Symbol.iterator]();;) {
    var _ref;

    if (_isArray) {
      if (_i >= _iterator.length) break;
      _ref = _iterator[_i++];
    } else {
      _i = _iterator.next();
      if (_i.done) break;
      _ref = _i.value;
    }

    var extension = _ref;

    if (lowerCaseType.indexOf(extension) >= 0) {
      return true;
    }
  }
  return false;
}