import React, { useContext } from 'react';
import StylesOne from "./style-one";
import StylesTwo from "./styles-two";
import StylesThree from "./styles-three";

export default (function (props) {
  var activeTheme = props.setting.activeTheme;
  // console.log("active", activeTheme);

  return activeTheme === "style-two" ? React.createElement(StylesTwo, props) : activeTheme === "style-three" ? React.createElement(StylesThree, props) : React.createElement(StylesOne, props);
});