import _get from "lodash/get";
import React, { Component } from "react";

import StartButtonStyleOne from "./style-one";
import StartButtonStyleTwo from "./style-two";
import StartButtonStyleThere from "./style-three";

export default (function (props) {
  var activeTheme = _get(props, "setting.activeTheme");

  return activeTheme === "style-three" ? React.createElement(StartButtonStyleThere, props) : activeTheme === "style-two" ? React.createElement(StartButtonStyleTwo, props) : React.createElement(StartButtonStyleOne, props);
});