import _get from 'lodash/get';
import React, { Component } from 'react';

import styles from './styles.scss';

export default (function (_ref) {
  var setting = _ref.setting,
      label = _ref.label;

  return React.createElement(
    'button',
    {
      className: styles.button,
      type: 'submit',
      style: {
        backgroundColor: _get(setting, 'screenConversation.rightSideBackgroundColor'),
        boxShadow: '0 1px 2px 0 rgba(0, 0, 0, 0.16)',
        border: 'none',
        borderRadius: '0px',
        height: '38px',
        width: '100%',
        fontFamily: 'Open Sans',
        fontWeight: '700',
        color: '#fff',
        outline: 'none',
        fontSize: '16px',
        cursor: 'pointer'
      }
    },
    label || _get(setting, 'chatboxThemeSettings.commonSettings.start_button_label')
  );
});