import React, { Component } from "react";
import call from "../../../icon/call.svg";
import SVG from "react-inlinesvg";
import styles from "./styles.scss";
export default (function (_ref) {
  var bgColor = _ref.bgColor,
      iconColor = _ref.iconColor;

  return React.createElement(
    "div",
    { className: styles.iconContent },
    React.createElement("div", {
      style: { backgroundColor: bgColor, color: bgColor },
      className: styles.wrapOpacity1
    }),
    React.createElement("div", {
      style: { backgroundColor: bgColor },
      className: styles.wrapOpacity2
    }),
    React.createElement(
      "div",
      { style: { backgroundColor: bgColor }, className: styles.wrap },
      React.createElement(
        "div",
        { className: styles.icon },
        React.createElement(SVG, { style: { color: iconColor }, src: call })
      )
    )
  );
});