import _regeneratorRuntime from "babel-runtime/regenerator";
import _asyncToGenerator from "babel-runtime/helpers/asyncToGenerator";
import * as actions from "./action-type";
import { sendMessage } from "../../connections/websocket";
import { GROUP, TYPE } from "../../commons/constants/websocket";
import { getTenantInfo } from "../../commons/tenant-info";
import { createAction } from "redux-actions";

export var leaveInformationSuccess = createAction(actions.LEAVE_INFORMATION + ".SUCCESS");
export var leaveInformation = function leaveInformation(payload, channelId) {
  return function () {
    var _ref = _asyncToGenerator( /*#__PURE__*/_regeneratorRuntime.mark(function _callee(dispatch) {
      return _regeneratorRuntime.wrap(function _callee$(_context) {
        while (1) {
          switch (_context.prev = _context.next) {
            case 0:
              dispatch(leaveInformationSuccess(payload));
              sendMessage({
                group: GROUP.CALL,
                type: TYPE.CALL.LEAVE_INFORMATION,
                payload: payload,
                tenantInfo: getTenantInfo()
              });

            case 2:
            case "end":
              return _context.stop();
          }
        }
      }, _callee, this);
    }));

    return function (_x) {
      return _ref.apply(this, arguments);
    };
  }();
};