'use strict';

exports.__esModule = true;

var _isEmpty2 = require('lodash/isEmpty');

var _isEmpty3 = _interopRequireDefault(_isEmpty2);

var _react = require('react');

var _react2 = _interopRequireDefault(_react);

var _styles = require('./styles.scss');

var _styles2 = _interopRequireDefault(_styles);

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

exports.default = function (_ref) {
  var color = _ref.color,
      label = _ref.label,
      checked = _ref.checked,
      _onChange = _ref.onChange,
      link = _ref.link;

  var text = label || 'I agree to the Privacy Policy';
  return _react2.default.createElement(
    'div',
    { className: _styles2.default.wrapper + ' boostcrm__pre_chat__checkbox', style: { color: color } },
    _react2.default.createElement('input', { type: 'checkbox', value: checked, onChange: function onChange() {
        return _onChange && _onChange(!checked);
      } }),
    _react2.default.createElement(
      'span',
      null,
      !(0, _isEmpty3.default)(link) ? _react2.default.createElement(
        'a',
        { target: '_blank', href: link },
        text
      ) : text
    )
  );
};

module.exports = exports['default'];