"use strict";

exports.__esModule = true;
exports.removeLSVariable = exports.setLSVariable = exports.getLSVariable = undefined;

var _localStorage = require("local-storage");

var ls = _interopRequireWildcard(_localStorage);

function _interopRequireWildcard(obj) { if (obj && obj.__esModule) { return obj; } else { var newObj = {}; if (obj != null) { for (var key in obj) { if (Object.prototype.hasOwnProperty.call(obj, key)) newObj[key] = obj[key]; } } newObj.default = obj; return newObj; } }

var getLSVariable = exports.getLSVariable = function getLSVariable(name) {
  try {
    return ls(name);
  } catch (ex) {
    return null;
  }
};

var setLSVariable = exports.setLSVariable = function setLSVariable(name, value) {
  try {
    ls(name, value);
    return true;
  } catch (ex) {
    return false;
  }
};

var removeLSVariable = exports.removeLSVariable = function removeLSVariable(name) {
  try {
    ls.remove(name);
    return true;
  } catch (ex) {
    return false;
  }
};