'use strict';

exports.__esModule = true;

var _extends2 = require('babel-runtime/helpers/extends');

var _extends3 = _interopRequireDefault(_extends2);

var _classCallCheck2 = require('babel-runtime/helpers/classCallCheck');

var _classCallCheck3 = _interopRequireDefault(_classCallCheck2);

var _possibleConstructorReturn2 = require('babel-runtime/helpers/possibleConstructorReturn');

var _possibleConstructorReturn3 = _interopRequireDefault(_possibleConstructorReturn2);

var _inherits2 = require('babel-runtime/helpers/inherits');

var _inherits3 = _interopRequireDefault(_inherits2);

var _get2 = require('lodash/get');

var _get3 = _interopRequireDefault(_get2);

var _react = require('react');

var _react2 = _interopRequireDefault(_react);

var _reactRedux = require('react-redux');

var _minimumIcon = require('../minimum-icon');

var _minimumIcon2 = _interopRequireDefault(_minimumIcon);

var _conversation = require('../conversation');

var _conversation2 = _interopRequireDefault(_conversation);

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

var ChatBox = function (_Component) {
  (0, _inherits3.default)(ChatBox, _Component);

  function ChatBox() {
    (0, _classCallCheck3.default)(this, ChatBox);
    return (0, _possibleConstructorReturn3.default)(this, _Component.apply(this, arguments));
  }

  ChatBox.prototype.render = function render() {
    var _props = this.props,
        showChat = _props.showChat,
        isInConfigurationMode = _props.isInConfigurationMode,
        currentComponent = _props.demoData.currentComponent,
        numberOfNewMessages = _props.numberOfNewMessages;

    var isShowChat = showChat || isInConfigurationMode && currentComponent === 'chatbox';
    return _react2.default.createElement(
      'div',
      { style: { height: '100%', zIndex: '9999997' } },
      _react2.default.createElement(_conversation2.default, (0, _extends3.default)({ isShowChat: isShowChat }, this.props)),
      _react2.default.createElement(_minimumIcon2.default, { props: this.props, numberOfNewMessages: numberOfNewMessages })
    );
  };

  return ChatBox;
}(_react.Component);

exports.default = (0, _reactRedux.connect)(function (store) {
  return {
    showChat: (0, _get3.default)(store, 'behavior.showChat'),
    numberOfNewMessages: (0, _get3.default)(store, 'messages.numberOfNewMessages')
  };
})(ChatBox);
module.exports = exports['default'];