'use strict';

exports.__esModule = true;

var _react = require('react');

var _react2 = _interopRequireDefault(_react);

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

var HeaderStyleOne = (0, _react.lazy)(function () {
  return import('./style-one');
});
var HeaderStyleTwo = (0, _react.lazy)(function () {
  return import('./style-two');
});
var HeaderStyleThere = (0, _react.lazy)(function () {
  return import('./style-three');
});

exports.default = function (props) {
  var activeTheme = props.setting.activeTheme;


  return activeTheme === 'style-two' ? _react2.default.createElement(
    _react.Suspense,
    { fallback: _react2.default.createElement('div', null) },
    _react2.default.createElement(HeaderStyleTwo, props)
  ) : activeTheme === 'style-three' ? _react2.default.createElement(
    _react.Suspense,
    { fallback: _react2.default.createElement('div', null) },
    _react2.default.createElement(HeaderStyleThere, props)
  ) : _react2.default.createElement(
    _react.Suspense,
    { fallback: _react2.default.createElement('div', null) },
    _react2.default.createElement(HeaderStyleOne, props)
  );
};

module.exports = exports['default'];