'use strict';

exports.__esModule = true;

var _toLower2 = require('lodash/toLower');

var _toLower3 = _interopRequireDefault(_toLower2);

exports.default = isImageFile;

var _getFileMetaData2 = require('./get-file-meta-data');

var _getFileMetaData3 = _interopRequireDefault(_getFileMetaData2);

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

var imageExentions = ['png', 'gif', 'jpg', 'jpeg'];

function isImageFile(file) {
  var _getFileMetaData = (0, _getFileMetaData3.default)(file),
      type = _getFileMetaData.type;

  if (!type) return false;
  var lowerCaseType = (0, _toLower3.default)(type);
  for (var _iterator = imageExentions, _isArray = Array.isArray(_iterator), _i = 0, _iterator = _isArray ? _iterator : _iterator[Symbol.iterator]();;) {
    var _ref;

    if (_isArray) {
      if (_i >= _iterator.length) break;
      _ref = _iterator[_i++];
    } else {
      _i = _iterator.next();
      if (_i.done) break;
      _ref = _i.value;
    }

    var extension = _ref;

    if (lowerCaseType.indexOf(extension) >= 0) {
      return true;
    }
  }
  return false;
}
module.exports = exports['default'];