'use strict';

exports.__esModule = true;

var _get2 = require('lodash/get');

var _get3 = _interopRequireDefault(_get2);

var _react = require('react');

var _react2 = _interopRequireDefault(_react);

var _offlineStatus = require('../../offline-status.scss');

var _offlineStatus2 = _interopRequireDefault(_offlineStatus);

var _btnStartConversation = require('../../../user-info-form/btn-start-conversation');

var _btnStartConversation2 = _interopRequireDefault(_btnStartConversation);

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

exports.default = function (_ref) {
  var setting = _ref.setting,
      onStartConversation = _ref.onStartConversation;

  return _react2.default.createElement(
    'div',
    { className: _offlineStatus2.default.content },
    _react2.default.createElement(
      'div',
      { className: _offlineStatus2.default.img },
      _react2.default.createElement('img', { src: 'https://storage.googleapis.com/bs-production-public/assets/widgets/bot_profilepic%402x.png' })
    ),
    _react2.default.createElement(
      'span',
      {
        style: {
          color: '' + ((0, _get3.default)(setting, 'screenOffline.on.title_color') || (0, _get3.default)(setting, 'screenConversation.rightSideBackgroundColor'))
        },
        className: _offlineStatus2.default.title
      },
      (0, _get3.default)(setting, 'screenOffline.on.title')
    ),
    _react2.default.createElement(
      'span',
      {
        style: {
          color: '' + ((0, _get3.default)(setting, 'screenOffline.on.title_color') || (0, _get3.default)(setting, 'iconBackgroundColor'))
        },
        className: _offlineStatus2.default.description
      },
      (0, _get3.default)(setting, 'screenOffline.on.description')
    ),
    _react2.default.createElement(
      'div',
      {
        className: _offlineStatus2.default.startChat,
        onClick: function onClick() {
          onStartConversation && onStartConversation(null);
        }
      },
      _react2.default.createElement(_btnStartConversation2.default, { setting: setting, label: (0, _get3.default)(setting, 'screenOffline.on.start_chat_label') })
    )
  );
};

module.exports = exports['default'];