'use strict';

exports.__esModule = true;

var _isEmpty2 = require('lodash/isEmpty');

var _isEmpty3 = _interopRequireDefault(_isEmpty2);

var _get2 = require('lodash/get');

var _get3 = _interopRequireDefault(_get2);

var _react = require('react');

var _react2 = _interopRequireDefault(_react);

var _offlineStatus = require('../../offline-status.scss');

var _offlineStatus2 = _interopRequireDefault(_offlineStatus);

var _btnStartConversation = require('../../../user-info-form/btn-start-conversation');

var _btnStartConversation2 = _interopRequireDefault(_btnStartConversation);

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

exports.default = function (_ref) {
  var setting = _ref.setting,
      onStartConversation = _ref.onStartConversation;

  var _useState = (0, _react.useState)(''),
      message = _useState[0],
      setMessage = _useState[1];

  return _react2.default.createElement(
    'div',
    { className: _offlineStatus2.default.content },
    _react2.default.createElement(
      'span',
      {
        style: {
          color: '' + ((0, _get3.default)(setting, 'screenOffline.off.title_color') || (0, _get3.default)(setting, 'screenConversation.rightSideBackgroundColor'))
        },
        className: _offlineStatus2.default.title
      },
      (0, _get3.default)(setting, 'screenOffline.off.title')
    ),
    _react2.default.createElement(
      'span',
      {
        style: {
          color: '' + ((0, _get3.default)(setting, 'screenOffline.off.title_color') || (0, _get3.default)(setting, 'iconBackgroundColor'))
        },
        className: _offlineStatus2.default.description
      },
      (0, _get3.default)(setting, 'screenOffline.off.description')
    ),
    _react2.default.createElement('textarea', {
      className: _offlineStatus2.default.leaveMessage,
      value: message,
      placeholder: (0, _get3.default)(setting, 'screenOffline.off.leave_message_placeholder') || 'Your message',
      style: {
        color: !(0, _isEmpty3.default)(message) ? (0, _get3.default)(setting, 'screenForm.inputTextColor') : (0, _get3.default)(setting, 'screenForm.placeholderTextColor'),
        backgroundColor: (0, _get3.default)(setting, 'screenForm.inputBackgroundColor')
      },
      onChange: function onChange(e) {
        return setMessage(e.target.value);
      }
    }),
    _react2.default.createElement(
      'div',
      {
        className: _offlineStatus2.default.startChat,
        onClick: function onClick() {
          onStartConversation && onStartConversation(message);
        }
      },
      _react2.default.createElement(_btnStartConversation2.default, { setting: setting, label: (0, _get3.default)(setting, 'screenOffline.off.start_chat_label') })
    )
  );
};

module.exports = exports['default'];