"use strict";

exports.__esModule = true;

var _get2 = require("lodash/get");

var _get3 = _interopRequireDefault(_get2);

var _react = require("react");

var _react2 = _interopRequireDefault(_react);

var _styleOne = require("./style-one");

var _styleOne2 = _interopRequireDefault(_styleOne);

var _styleTwo = require("./style-two");

var _styleTwo2 = _interopRequireDefault(_styleTwo);

var _styleThree = require("./style-three");

var _styleThree2 = _interopRequireDefault(_styleThree);

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

exports.default = function (props) {
  var activeTheme = (0, _get3.default)(props, "setting.activeTheme");

  return activeTheme === "style-three" ? _react2.default.createElement(_styleThree2.default, props) : activeTheme === "style-two" ? _react2.default.createElement(_styleTwo2.default, props) : _react2.default.createElement(_styleOne2.default, props);
};

module.exports = exports["default"];