'use strict';

exports.__esModule = true;

var _get2 = require('lodash/get');

var _get3 = _interopRequireDefault(_get2);

var _react = require('react');

var _react2 = _interopRequireDefault(_react);

var _send = require('../../../../icon/send.svg');

var _send2 = _interopRequireDefault(_send);

var _reactInlinesvg = require('react-inlinesvg');

var _reactInlinesvg2 = _interopRequireDefault(_reactInlinesvg);

var _styles = require('./styles.scss');

var _styles2 = _interopRequireDefault(_styles);

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

exports.default = function (_ref) {
  var setting = _ref.setting,
      label = _ref.label;

  return _react2.default.createElement(
    'button',
    {
      type: 'submit',
      className: _styles2.default.button,
      style: {
        backgroundColor: (0, _get3.default)(setting, 'screenConversation.rightSideBackgroundColor'),
        boxShadow: '0 1px 2px 0 rgba(0, 0, 0, 0.16)',
        border: 'none',
        borderRadius: '30px',
        height: '40px',
        width: 'fit-content',
        minWidth: '100%',
        fontFamily: 'Open Sans',
        display: 'flex',
        justifyContent: 'center',
        alignItems: 'center',
        fontWeight: '700',
        margin: 'auto',
        fontSize: '16px',
        color: '#fff',
        outline: 'none',
        boxSizing: 'border-box',
        cursor: 'pointer'
      }
    },
    label || (0, _get3.default)(setting, 'chatboxThemeSettings.commonSettings.start_button_label'),
    _react2.default.createElement(_reactInlinesvg2.default, {
      src: _send2.default,
      style: {
        width: '13.9px',
        height: '12px',
        marginLeft: '5px'
      }
    })
  );
};

module.exports = exports['default'];