"use strict";

exports.__esModule = true;

var _extends2 = require("babel-runtime/helpers/extends");

var _extends3 = _interopRequireDefault(_extends2);

var _get2 = require("lodash/get");

var _get3 = _interopRequireDefault(_get2);

var _react = require("react");

var _react2 = _interopRequireDefault(_react);

var _styles = require("./styles.scss");

var _styles2 = _interopRequireDefault(_styles);

var _reactInlinesvg = require("react-inlinesvg");

var _reactInlinesvg2 = _interopRequireDefault(_reactInlinesvg);

var _call = require("../../../../icon/call.svg");

var _call2 = _interopRequireDefault(_call);

require("../overwrite.css");

var _loading = require("../../../../../commons/components/loading");

var _loading2 = _interopRequireDefault(_loading);

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

exports.default = function (props) {
  var setting = props.setting,
      onClick = props.onClick,
      text = props.text,
      callIcon = props.callIcon,
      isBorder = props.isBorder,
      isLoading = props.isLoading,
      isAccessButton = props.isAccessButton,
      color = props.color,
      borderRadius = props.borderRadius,
      width = props.width;
  // console.log("isLoading: ", isLoading);

  return _react2.default.createElement(
    "div",
    null,
    !isAccessButton ? _react2.default.createElement(
      "div",
      {
        style: { width: "100%", height: "38px" },
        className: "boostcrm-call-button"
      },
      _react2.default.createElement(
        "button",
        {
          type: "submit",
          onClick: onClick,
          className: _styles2.default.theme3Container
        },
        _react2.default.createElement(
          "div",
          {
            className: _styles2.default.button,
            style: (0, _extends3.default)({}, isBorder ? {
              border: "1px solid " + (0, _get3.default)(setting, 'screenConversation.rightSideBackgroundColor'),
              color: (0, _get3.default)(setting, 'screenConversation.rightSideBackgroundColor')
            } : { backgroundColor: (0, _get3.default)(setting, 'screenConversation.rightSideBackgroundColor') }, {
              width: width
            })
          },
          !isLoading && callIcon && _react2.default.createElement(
            "div",
            { className: _styles2.default.icon },
            _react2.default.createElement(_reactInlinesvg2.default, { src: _call2.default })
          ),
          isLoading && _react2.default.createElement(
            "div",
            { className: _styles2.default.icon },
            _react2.default.createElement(_loading2.default, { color: color || (0, _get3.default)(setting, "screenConversation.rightSideBackgroundColor") })
          ),
          text
        )
      )
    ) : _react2.default.createElement(
      "div",
      { className: "boostcrm-call-button" },
      _react2.default.createElement(
        "button",
        { onClick: onClick, className: _styles2.default.theme3Container + " " },
        _react2.default.createElement(
          "div",
          {
            className: _styles2.default.accessButton,
            style: { backgroundColor: (0, _get3.default)(setting, "screenConversation.rightSideBackgroundColor") }
          },
          text
        )
      )
    )
  );
};

module.exports = exports["default"];