'use strict';

exports.__esModule = true;

var _get2 = require('lodash/get');

var _get3 = _interopRequireDefault(_get2);

var _react = require('react');

var _react2 = _interopRequireDefault(_react);

var _styles = require('./styles.scss');

var _styles2 = _interopRequireDefault(_styles);

var _header = require('../header');

var _header2 = _interopRequireDefault(_header);

var _power = require('../power');

var _power2 = _interopRequireDefault(_power);

var _button = require('../button');

var _button2 = _interopRequireDefault(_button);

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

exports.default = function (_ref) {
  var handleGetPermission = _ref.handleGetPermission,
      setting = _ref.setting,
      isMobileMode = _ref.isMobileMode;

  var handleRequestAccessMicrophone = function handleRequestAccessMicrophone() {
    navigator.mediaDevices.getUserMedia({ audio: true }).then(function (mediaStream) {
      handleGetPermission && handleGetPermission({ isAllow: true });
      mediaStream.getTracks().forEach(function (track) {
        track.stop();
      });
    }).catch(function () {
      handleGetPermission && handleGetPermission({ isAllow: false });
    });
  };

  return _react2.default.createElement(
    'div',
    { className: _styles2.default.container },
    _react2.default.createElement(_header2.default, { setting: setting, isMobileMode: isMobileMode }),
    _react2.default.createElement(
      'div',
      { className: _styles2.default.deviceSetting },
      _react2.default.createElement(
        'div',
        { className: _styles2.default.deviceStatus },
        _react2.default.createElement(
          'div',
          { className: _styles2.default.titleContent },
          _react2.default.createElement(
            'span',
            {
              className: _styles2.default.title,
              style: {
                color: (0, _get3.default)(setting, 'screenConversation.rightSideBackgroundColor')
              }
            },
            (0, _get3.default)(setting, 'callThemeSettings.commonSettings.using_microphone_text')
          )
        ),
        _react2.default.createElement(
          'div',
          { className: _styles2.default.buttonContent },
          _react2.default.createElement(
            'span',
            { style: { fontFamily: 'Open Sans' }, className: _styles2.default.button },
            (0, _get3.default)(setting, 'callThemeSettings.commonSettings.access_microphone_text')
          )
        ),
        _react2.default.createElement(
          'div',
          { className: _styles2.default.allowButton },
          _react2.default.createElement(_button2.default, {
            setting: setting,
            onClick: handleRequestAccessMicrophone,
            isAccessButton: true,
            callIcon: false,
            text: (0, _get3.default)(setting, 'callThemeSettings.commonSettings.allow_microphone_label')
          })
        )
      )
    ),
    _react2.default.createElement(_power2.default, { setting: setting })
  );
};

module.exports = exports['default'];