import { getLSVariable } from "./utils/local-storage";
import { LOCAL_STORAGE_VARIABLES, getLocalStorageVariables } from "./constants/local-storage";
var channelId = void 0;
var tenantId = void 0;
var conversationId = void 0;

export var setChannelId = function setChannelId(value) {
  // console.log("setChannelId: ", value);
  channelId = value;
};

export var setTenantId = function setTenantId(value) {
  // console.log("setTenantId: ", value);
  tenantId = value;
};
export var setConversationId = function setConversationId(value) {
  // console.log("setConversationId: ", value);
  conversationId = value;
};

export var getTenantInfo = function getTenantInfo() {
  return {
    tenantId: tenantId || getLSVariable(getLocalStorageVariables(LOCAL_STORAGE_VARIABLES.TENANT_ID, channelId)),
    channelId: channelId || getLSVariable(getLocalStorageVariables(LOCAL_STORAGE_VARIABLES.CHANNEL_ID, channelId)),
    conversationId: conversationId || getLSVariable(getLocalStorageVariables(LOCAL_STORAGE_VARIABLES.CONVERSATION_ID, channelId))
  };
};