import * as ls from "local-storage";

export var getLSVariable = function getLSVariable(name) {
  try {
    return ls(name);
  } catch (ex) {
    return null;
  }
};

export var setLSVariable = function setLSVariable(name, value) {
  try {
    ls(name, value);
    return true;
  } catch (ex) {
    return false;
  }
};

export var removeLSVariable = function removeLSVariable(name) {
  try {
    ls.remove(name);
    return true;
  } catch (ex) {
    return false;
  }
};