import React from "react";
import styles from "./styles.scss";
import Attachment from "../attachment";

export default (function (_ref) {
  var uploadFiles = _ref.uploadFiles,
      handleRemoveAttachment = _ref.handleRemoveAttachment,
      setting = _ref.setting;
  return React.createElement(
    "div",
    { className: styles.attachmentContainer },
    uploadFiles.map(function (attachment, i) {
      return React.createElement(Attachment, {
        key: i,
        setting: setting,
        attachment: attachment,
        handleClickRemove: function handleClickRemove() {
          return handleRemoveAttachment(attachment);
        }
      });
    })
  );
});