import React from "react";
import ButtonTheme1 from "./theme1";
import ButtonTheme2 from "./theme2";
import ButtonTheme3 from "./theme3";

export default (function (props) {
  var activeTheme = props.setting.activeTheme;
  // console.log("active", activeTheme);

  return activeTheme === "style-two" ? React.createElement(ButtonTheme2, props) : activeTheme === "style-three" ? React.createElement(ButtonTheme3, props) : React.createElement(ButtonTheme1, props);
});