import React from "react";
import HeaderTheme1 from "./theme1";
import HeaderTheme2 from "./theme2";
import HeaderTheme3 from "./theme3";

export default (function (props) {
  var activeTheme = props.setting.activeTheme;


  return activeTheme === "style-two" ? React.createElement(HeaderTheme2, props) : activeTheme === "style-three" ? React.createElement(HeaderTheme3, props) : React.createElement(HeaderTheme1, props);
});