import React from 'react';
import LayoutTheme1 from './theme1';
import LayoutTheme2 from './theme2';
import LayoutTheme3 from './theme3';

export default (function (props) {
  var activeTheme = props.setting.activeTheme;

  return activeTheme === 'style-two' ? React.createElement(LayoutTheme2, props) : activeTheme === 'style-three' ? React.createElement(LayoutTheme3, props) : React.createElement(LayoutTheme1, props);
});