import React, { Component } from "react";
import styles from "../commonStyles.scss";

export default (function (_ref) {
  var children = _ref.children,
      backgroundColor = _ref.backgroundColor,
      isMobileMode = _ref.isMobileMode,
      border = _ref.border;

  // console.log('backgroundColor: ', backgroundColor)
  return React.createElement(
    "div",
    {
      style: {
        backgroundColor: backgroundColor,
        borderRadius: isMobileMode ? "0px" : border ? "30px 30px 18px  18px" : "18px"
      },
      className: styles.container
    },
    children
  );
});