import _get from "lodash/get";
import React, { Component } from "react";
import styles from "./styles.scss";

export default (function (_ref) {
  var setting = _ref.setting;

  return React.createElement(
    "div",
    null,
    React.createElement(
      "div",
      { className: styles.powerBy },
      React.createElement(
        "span",
        {
          style: { color: _get(setting, "screenForm.placeholderTextColor") }
        },
        "Powered by",
        " "
      ),
      React.createElement(
        "a",
        { target: "_blank", href: "https://boostcrm.io/" },
        React.createElement(
          "span",
          {
            style: {
              color: _get(setting, "screenConversation.rightSideBackgroundColor")
            }
          },
          "BoostCRM"
        )
      )
    )
  );
});