import _regeneratorRuntime from 'babel-runtime/regenerator';
import _asyncToGenerator from 'babel-runtime/helpers/asyncToGenerator';
import * as actions from './action-type';
import { createAction } from 'redux-actions';

export var saveUserInfoRequest = createAction(actions.SAVE_USER_INFO + '.REQUEST');

export var saveUserInfo = function saveUserInfo(name, email, phone) {
  return function () {
    var _ref = _asyncToGenerator( /*#__PURE__*/_regeneratorRuntime.mark(function _callee(dispatch) {
      var reqPayload;
      return _regeneratorRuntime.wrap(function _callee$(_context) {
        while (1) {
          switch (_context.prev = _context.next) {
            case 0:
              reqPayload = { name: name, email: email, phone: phone };
              _context.next = 3;
              return dispatch(saveUserInfoRequest(reqPayload));

            case 3:
            case 'end':
              return _context.stop();
          }
        }
      }, _callee, this);
    }));

    return function (_x) {
      return _ref.apply(this, arguments);
    };
  }();
};