"use strict";

exports.__esModule = true;
exports.getTenantInfo = exports.setConversationId = exports.setTenantId = exports.setChannelId = undefined;

var _localStorage = require("./utils/local-storage");

var _localStorage2 = require("./constants/local-storage");

var channelId = void 0;
var tenantId = void 0;
var conversationId = void 0;

var setChannelId = exports.setChannelId = function setChannelId(value) {
  // console.log("setChannelId: ", value);
  channelId = value;
};

var setTenantId = exports.setTenantId = function setTenantId(value) {
  // console.log("setTenantId: ", value);
  tenantId = value;
};
var setConversationId = exports.setConversationId = function setConversationId(value) {
  // console.log("setConversationId: ", value);
  conversationId = value;
};

var getTenantInfo = exports.getTenantInfo = function getTenantInfo() {
  return {
    tenantId: tenantId || (0, _localStorage.getLSVariable)((0, _localStorage2.getLocalStorageVariables)(_localStorage2.LOCAL_STORAGE_VARIABLES.TENANT_ID, channelId)),
    channelId: channelId || (0, _localStorage.getLSVariable)((0, _localStorage2.getLocalStorageVariables)(_localStorage2.LOCAL_STORAGE_VARIABLES.CHANNEL_ID, channelId)),
    conversationId: conversationId || (0, _localStorage.getLSVariable)((0, _localStorage2.getLocalStorageVariables)(_localStorage2.LOCAL_STORAGE_VARIABLES.CONVERSATION_ID, channelId))
  };
};