'use strict';

exports.__esModule = true;
exports.default = getTimeDuration;
function getTimeDuration(value, unit) {
  if (!value) return 0;

  var localUnit = unit || 'seconds';

  if (localUnit === 'milliseconds') {
    return Number(value);
  }

  if (localUnit === 'seconds') {
    return Number(value) * 1000;
  }

  if (localUnit === 'minutes') {
    return Number(value) * 60 * 1000;
  }

  if (localUnit === 'hours') {
    return Number(value) * 60 * 60 * 1000;
  }

  return 0;
}
module.exports = exports['default'];