'use strict';

exports.__esModule = true;

var _get2 = require('lodash/get');

var _get3 = _interopRequireDefault(_get2);

var _react = require('react');

var _react2 = _interopRequireDefault(_react);

var _reactRedux = require('react-redux');

var _styles = require('./styles.scss');

var _styles2 = _interopRequireDefault(_styles);

var _reactInlinesvg = require('react-inlinesvg');

var _reactInlinesvg2 = _interopRequireDefault(_reactInlinesvg);

var _soundOn = require('../../icon/sound-on.svg');

var _soundOn2 = _interopRequireDefault(_soundOn);

var _soundOff = require('../../icon/sound-off.svg');

var _soundOff2 = _interopRequireDefault(_soundOff);

var _actions = require('../../../store/actions');

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

exports.default = function (_ref) {
  var setting = _ref.setting;

  var dispatch = (0, _reactRedux.useDispatch)();
  var soundOn = (0, _reactRedux.useSelector)(function (store) {
    return (0, _get3.default)(store, 'behavior.soundOn');
  });

  return _react2.default.createElement(
    'div',
    { className: _styles2.default.settingContent },
    _react2.default.createElement(
      'div',
      { style: { color: (0, _get3.default)(setting, 'iconTextColor') }, className: _styles2.default.icon, onClick: function onClick() {
          return dispatch((0, _actions.settingSound)());
        } },
      soundOn ? _react2.default.createElement(_reactInlinesvg2.default, { src: _soundOn2.default }) : _react2.default.createElement(_reactInlinesvg2.default, { src: _soundOff2.default })
    )
  );
};

module.exports = exports['default'];