"use strict";

exports.__esModule = true;

var _react = require("react");

var _react2 = _interopRequireDefault(_react);

var _styles = require("./styles.scss");

var _styles2 = _interopRequireDefault(_styles);

var _attachment = require("../attachment");

var _attachment2 = _interopRequireDefault(_attachment);

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

exports.default = function (_ref) {
  var uploadFiles = _ref.uploadFiles,
      handleRemoveAttachment = _ref.handleRemoveAttachment,
      setting = _ref.setting;
  return _react2.default.createElement(
    "div",
    { className: _styles2.default.attachmentContainer },
    uploadFiles.map(function (attachment, i) {
      return _react2.default.createElement(_attachment2.default, {
        key: i,
        setting: setting,
        attachment: attachment,
        handleClickRemove: function handleClickRemove() {
          return handleRemoveAttachment(attachment);
        }
      });
    })
  );
};

module.exports = exports["default"];