"use strict";

exports.__esModule = true;

var _react = require("react");

var _react2 = _interopRequireDefault(_react);

var _styleOne = require("./style-one");

var _styleOne2 = _interopRequireDefault(_styleOne);

var _stylesTwo = require("./styles-two");

var _stylesTwo2 = _interopRequireDefault(_stylesTwo);

var _stylesThree = require("./styles-three");

var _stylesThree2 = _interopRequireDefault(_stylesThree);

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

exports.default = function (props) {
  var activeTheme = props.setting.activeTheme;
  // console.log("active", activeTheme);

  return activeTheme === "style-two" ? _react2.default.createElement(_stylesTwo2.default, props) : activeTheme === "style-three" ? _react2.default.createElement(_stylesThree2.default, props) : _react2.default.createElement(_styleOne2.default, props);
};

module.exports = exports["default"];