'use strict';

exports.__esModule = true;

var _get2 = require('lodash/get');

var _get3 = _interopRequireDefault(_get2);

var _react = require('react');

var _react2 = _interopRequireDefault(_react);

var _commonStyles = require('../common-styles.scss');

var _commonStyles2 = _interopRequireDefault(_commonStyles);

var _skipForm = require('../../icon/skip-form.svg');

var _skipForm2 = _interopRequireDefault(_skipForm);

var _reactInlinesvg = require('react-inlinesvg');

var _reactInlinesvg2 = _interopRequireDefault(_reactInlinesvg);

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

exports.default = function (_ref) {
  var setting = _ref.setting,
      showedScreen = _ref.showedScreen;

  var activeTheme = (0, _get3.default)(setting, 'activeTheme');
  return _react2.default.createElement(
    'div',
    null,
    _react2.default.createElement(
      'div',
      {
        className: _commonStyles2.default.powerBy,
        style: activeTheme === 'style-three' && showedScreen === 'conversation' ? {
          color: (0, _get3.default)(setting, 'screenForm.inputTextColor'),
          backgroundColor: 'transparent',
          position: 'relative'
        } : { color: (0, _get3.default)(setting, 'screenForm.inputTextColor') }
      },
      activeTheme === 'style-three' && showedScreen === 'conversation' && _react2.default.createElement('div', {
        style: {
          width: '100%',
          height: '100%',
          position: 'absolute',
          backgroundColor: (0, _get3.default)(setting, 'screenConversation.rightSideBackgroundColor'),
          opacity: 0.1,
          bottom: 0
        }
      }),
      _react2.default.createElement(
        'div',
        { className: _commonStyles2.default.powerByText },
        _react2.default.createElement(
          'span',
          {
            style: {
              color: (0, _get3.default)(setting, 'screenForm.placeholderTextColor'),
              fontFamily: 'Open Sans',
              fontSize: '12px'
            }
          },
          'Powered by',
          ' '
        ),
        _react2.default.createElement(
          'a',
          { target: '_blank', href: 'https://boostcrm.io/' },
          _react2.default.createElement(
            'span',
            {
              style: {
                color: (0, _get3.default)(setting, 'screenConversation.rightSideBackgroundColor'),
                fontFamily: 'Open Sans',
                fontSize: '12px'
              }
            },
            'BoostCRM'
          )
        )
      )
    )
  );
};

module.exports = exports['default'];