'use strict';

exports.__esModule = true;

var _get2 = require('lodash/get');

var _get3 = _interopRequireDefault(_get2);

var _react = require('react');

var _react2 = _interopRequireDefault(_react);

var _styles = require('./styles.scss');

var _styles2 = _interopRequireDefault(_styles);

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

exports.default = function (_ref) {
  var setting = _ref.setting,
      label = _ref.label;

  return _react2.default.createElement(
    'button',
    {
      className: _styles2.default.button,
      type: 'submit',
      style: {
        backgroundColor: (0, _get3.default)(setting, 'screenConversation.rightSideBackgroundColor'),
        boxShadow: '0 1px 2px 0 rgba(0, 0, 0, 0.16)',
        border: 'none',
        borderRadius: '0px',
        height: '38px',
        width: '100%',
        fontFamily: 'Open Sans',
        fontWeight: '700',
        color: '#fff',
        outline: 'none',
        fontSize: '16px',
        cursor: 'pointer'
      }
    },
    label || (0, _get3.default)(setting, 'chatboxThemeSettings.commonSettings.start_button_label')
  );
};

module.exports = exports['default'];