"use strict";

exports.__esModule = true;
exports.CloseCallIcon = undefined;

var _react = require("react");

var _react2 = _interopRequireDefault(_react);

var _reactRedux = require("react-redux");

var _actions = require("../../store/actions");

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

var CloseCallIcon = exports.CloseCallIcon = function CloseCallIcon(_ref) {
  var iconTextColor = _ref.iconTextColor,
      className = _ref.className,
      color = _ref.color;

  var dispatch = (0, _reactRedux.useDispatch)();
  return _react2.default.createElement(
    "svg",
    {
      xmlns: "http://www.w3.org/2000/svg",
      version: "1.1",
      id: "Capa_1",
      x: "0px",
      y: "0px",
      width: "512px",
      height: "512px",
      viewBox: "0 0 357 357",
      style: { alignSelf: "center" },
      className: className,
      onClick: function onClick() {
        return dispatch((0, _actions.toggleCall)());
      }
    },
    _react2.default.createElement(
      "g",
      null,
      _react2.default.createElement(
        "g",
        { id: "clear" },
        _react2.default.createElement("polygon", {
          points: "357,35.7 321.3,0 178.5,142.8 35.7,0 0,35.7 142.8,178.5 0,321.3 35.7,357 178.5,214.2 321.3,357 357,321.3     214.2,178.5   ",
          fill: iconTextColor || "#FFFFFF"
        })
      )
    ),
    _react2.default.createElement("g", null),
    _react2.default.createElement("g", null),
    _react2.default.createElement("g", null),
    _react2.default.createElement("g", null),
    _react2.default.createElement("g", null),
    _react2.default.createElement("g", null),
    _react2.default.createElement("g", null),
    _react2.default.createElement("g", null),
    _react2.default.createElement("g", null),
    _react2.default.createElement("g", null),
    _react2.default.createElement("g", null),
    _react2.default.createElement("g", null),
    _react2.default.createElement("g", null),
    _react2.default.createElement("g", null),
    _react2.default.createElement("g", null)
  );
};