"use strict";

exports.__esModule = true;

var _react = require("react");

var _react2 = _interopRequireDefault(_react);

var _call = require("../../../icon/call.svg");

var _call2 = _interopRequireDefault(_call);

var _reactInlinesvg = require("react-inlinesvg");

var _reactInlinesvg2 = _interopRequireDefault(_reactInlinesvg);

var _styles = require("./styles.scss");

var _styles2 = _interopRequireDefault(_styles);

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

exports.default = function (_ref) {
  var bgColor = _ref.bgColor,
      iconColor = _ref.iconColor;

  return _react2.default.createElement(
    "div",
    { className: _styles2.default.iconContent },
    _react2.default.createElement("div", {
      style: { backgroundColor: bgColor, color: bgColor },
      className: _styles2.default.wrapOpacity1
    }),
    _react2.default.createElement("div", {
      style: { backgroundColor: bgColor },
      className: _styles2.default.wrapOpacity2
    }),
    _react2.default.createElement(
      "div",
      { style: { backgroundColor: bgColor }, className: _styles2.default.wrap },
      _react2.default.createElement(
        "div",
        { className: _styles2.default.icon },
        _react2.default.createElement(_reactInlinesvg2.default, { style: { color: iconColor }, src: _call2.default })
      )
    )
  );
};

module.exports = exports["default"];