"use strict";

exports.__esModule = true;

var _react = require("react");

var _react2 = _interopRequireDefault(_react);

var _commonStyles = require("../commonStyles.scss");

var _commonStyles2 = _interopRequireDefault(_commonStyles);

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

exports.default = function (_ref) {
  var children = _ref.children,
      backgroundColor = _ref.backgroundColor,
      isMobileMode = _ref.isMobileMode,
      border = _ref.border;

  // console.log('backgroundColor: ', backgroundColor)
  return _react2.default.createElement(
    "div",
    {
      style: {
        backgroundColor: backgroundColor,
        borderRadius: isMobileMode ? "0px" : border ? "30px 30px 18px  18px" : "18px"
      },
      className: _commonStyles2.default.container
    },
    children
  );
};

module.exports = exports["default"];