"use strict";

exports.__esModule = true;

var _get2 = require("lodash/get");

var _get3 = _interopRequireDefault(_get2);

var _react = require("react");

var _react2 = _interopRequireDefault(_react);

var _styles = require("./styles.scss");

var _styles2 = _interopRequireDefault(_styles);

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

exports.default = function (_ref) {
  var setting = _ref.setting;

  return _react2.default.createElement(
    "div",
    null,
    _react2.default.createElement(
      "div",
      { className: _styles2.default.powerBy },
      _react2.default.createElement(
        "span",
        {
          style: { color: (0, _get3.default)(setting, "screenForm.placeholderTextColor") }
        },
        "Powered by",
        " "
      ),
      _react2.default.createElement(
        "a",
        { target: "_blank", href: "https://boostcrm.io/" },
        _react2.default.createElement(
          "span",
          {
            style: {
              color: (0, _get3.default)(setting, "screenConversation.rightSideBackgroundColor")
            }
          },
          "BoostCRM"
        )
      )
    )
  );
};

module.exports = exports["default"];